/**
 * 
 * @author Guillaume Santini
 * @version 1.0
 * Classe d'entitée permettant de décrire un produit.
 */

public class Produit {
	private String denomination ;
	private Double prix;
	
	/**
	 * Constructeur par champs
	 * @param denomination
	 * @param prix
	 */
	public Produit(String denomination, Double prix) {
		super();
		this.prix = prix;
		this.denomination = denomination;
	}
	/**
	 * Getter permettant d'accéder au prix d'un produit
	 * @return le prix du produit
	 */
	public Double getPrix() {
		return prix;
	}
	/**
	 * Setter permettant de fixer le prix d'un produit
	 * @param prix le nouveau prix affecté au produit
	 */
	public void setPrix(Double prix) {
		this.prix = prix;
	}

	/**
	 * Getter permettant d'accéder à la dénomination d'un produit
	 * @return la dénomination du produit
	 */
	public String getDenomination() {
		return denomination;
	}

	/**
	 * Setter permettant de fixer la dénomination d'un produit
	 * @param denomination la nouvelle dénomination du produit
	 */
	public void setDenomination(String denomination) {
		this.denomination = denomination;
	}

	@Override
	public String toString() {
		return  String.format("%-30s\t\t%10.2f", denomination, prix) ;
	}
	
}
