
public class Test {

	public static void main( String [] args) {
		
		// instanciation/initialisation du numéroteur de devis unique
		NumeroteurDeDevis numeroteur = NumeroteurDeDevis.getInstance(200);
		
		// Création d'un devis
		Devis p1 = new Devis(numeroteur);
		p1.setStrategieDiscount(new NoDiscount());	// association de la politique de rabais au devis
		p1.setStrategieTaxe(new TVA20());			// association de la politique de taxation au devis
		
		// Alimentation du panier du devis
		p1.ajouterAuPanier( new Produit("Vélo", 400.));
		p1.ajouterAuPanier( new Produit("Haltères", 100.));
		p1.ajouterAuPanier( new Produit("Vetement - chaussures", 40.));
		p1.ajouterAuPanier( new Produit("Vetement - chaussettes", 20.));
		p1.ajouterAuPanier( new Produit("Complément alim.", 20.));
		p1.ajouterAuPanier( new Produit("Complément alim.", 20.));
		
		// Édition du devis
		System.out.println(p1.editionDevis());
		
		System.out.println("\n\n\n\n");
		
		// Modification de la politique de rabais
		p1.setStrategieDiscount(new PremiumDiscount());
		// Ré-édition du devis
		System.out.println(p1.editionDevis());
		
		System.out.println("\n\n\n\n");
		
		// Modification de la politique de taxation
		p1.setStrategieTaxe(new TVA5());
		// Ré-édition du devis
		System.out.println(p1.editionDevis());
	}
}
